#include <stdafx.h>

#include "openglObj.h"
#include "..\ErrorControlObj\ErrorControlObj.hpp"

// Contructors
dllClass::dllClass () {
	openGlName = NULL;
}

// with parameter
dllClass::dllClass (char *name) {
	openGlName = name;
}

// load a openGl dll
int dllClass::loadNewDll ( char *name ) {
	openGlName = name;
	glDll = LoadLibrary ( name );
	if ( !glDll ) return LOAD_LIBRARY_FAILED;
	return LOAD_LIBRARY_OK;
}



// free current openGl dll
int dllClass::freeDll ( void ) {
	FreeLibrary ( glDll );
	openGlName = NULL;
	return FREE_LIBRARY_OK;
}

// import a dll function from dll library into pointer
int dllClass::import ( void **function, char name[] ) {
	void *result=NULL;
	result = (void *) GetProcAddress ( glDll, name );
	if ( result == NULL ) return DLL_FUNCTION_NOT_FOUND;
	*function = result;
	return DLL_FUNCTION_FOUND;
}

// import all functions
int dllClass::getGlFunctions ( void ) {

	int err = 0;

	 // assign Win gl functions
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &_wglChoosePixelFormat,	"wglChoosePixelFormat") ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &_wglCreateContext,		"wglCreateContext") ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &_wglDeleteContext,		"wglDeleteContext") ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &_wglDescribePixelFormat,"wglDescribePixelFormat") ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &_wglMakeCurrent,		"wglMakeCurrent") ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &_wglSetPixelFormat,		"wglSetPixelFormat") ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &_wglGetCurrentContext,	"wglGetCurrentContext") ) err++;
 
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &_wglSwapBuffers,		"wglSwapBuffers") ) err++;

	 // Opengl redefined, will be used exclusively in the ge_opengl.dll 
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glAccum,		"glAccum" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glAlphaFunc,	"glAlphaFunc" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glAreTexturesResident, "glAreTexturesResident" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glArrayElement, "glArrayElement" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glBegin,		"glBegin" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glBindTexture,	"glBindTexture" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glBitmap,		"glBitmap" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glBlendFunc,	"glBlendFunc" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glCallList,		"glCallList" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glCallLists,	"glCallLists" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glClear,		"glClear" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glClearAccum,	"glClearAccum" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glClearColor,	"glClearColor" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glClearDepth,	"glClearDepth" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glClearIndex,	"glClearIndex" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glClearStencil, "glClearStencil" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glClipPlane,	"glClipPlane" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3b,		"glColor3b" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3bv,		"glColor3bv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3d,		"glColor3d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3dv,		"glColor3dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3f,		"glColor3f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3fv,		"glColor3fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3i,		"glColor3i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3iv,		"glColor3iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3s,		"glColor3s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3sv,		"glColor3sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3ub,		"glColor3ub" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3ubv,	"glColor3ubv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3ui,		"glColor3ui" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3uiv,	"glColor3uiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3us,		"glColor3us" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor3usv,	"glColor3usv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4b,		"glColor4b" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4bv,		"glColor4bv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4d,		"glColor4d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4dv,		"glColor4dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4f,		"glColor4f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4fv,		"glColor4fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4i,		"glColor4i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4iv,		"glColor4iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4s,		"glColor4s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4sv,		"glColor4sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4ub,		"glColor4ub" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4ubv,	"glColor4ubv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4ui,		"glColor4ui" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4uiv,	"glColor4uiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4us,		"glColor4us" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColor4usv,	"glColor4usv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColorMask,	"glColorMask" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColorMaterial,"glColorMaterial" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glColorPointer,	"glColorPointer" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glCopyPixels,	"glCopyPixels" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glCopyTexImage1D,		"glCopyTexImage1D" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glCopyTexImage2D,		"glCopyTexImage2D" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glCopyTexSubImage1D,	"glCopyTexSubImage1D" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glCopyTexSubImage2D,	"glCopyTexSubImage2D" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glCullFace,				"glCullFace" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDeleteLists,			"glDeleteLists" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDeleteTextures,		"glDeleteTextures" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDepthFunc,			"glDepthFunc" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDepthMask,			"glDepthMask" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDepthRange,			"glDepthRange" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDisable,				"glDisable" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDisableClientState,	"glDisableClientState" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDrawArrays,			"glDrawArrays" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDrawBuffer,			"glDrawBuffer" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDrawElements,			"glDrawElements" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glDrawPixels,			"glDrawPixels" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEdgeFlag,				"glEdgeFlag" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEdgeFlagPointer,		"glEdgeFlagPointer" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEdgeFlagv,			"glEdgeFlagv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEnable,				"glEnable" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEnableClientState,	"glEnableClientState" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEnd,				"glEnd" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEndList,			"glEndList" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalCoord1d,		"glEvalCoord1d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalCoord1dv,		"glEvalCoord1dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalCoord1f,		"glEvalCoord1f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalCoord1fv,		"glEvalCoord1fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalCoord2d,		"glEvalCoord2d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalCoord2dv,		"glEvalCoord2dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalCoord2f,		"glEvalCoord2f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalCoord2fv,		"glEvalCoord2fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalMesh1,		"glEvalMesh1" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalMesh2,		"glEvalMesh2" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalPoint1,		"glEvalPoint1" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glEvalPoint2,		"glEvalPoint2" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glFeedbackBuffer,	"glFeedbackBuffer" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glFinish,			"glFinish" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glFlush,			"glFlush" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glFogf,				"glFogf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glFogfv,			"glFogfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glFogi,				"glFogi" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glFogiv,			"glFogiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glFrontFace,		"glFrontFace" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glFrustum,			"glFrustum" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGenLists,			"glGenLists" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGenTextures,		"glGenTextures" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetBooleanv,		"glGetBooleanv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetClipPlane,		"glGetClipPlane" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetDoublev,		"glGetDoublev" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetError,			"glGetError" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetFloatv,		"glGetFloatv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetIntegerv,		"glGetIntegerv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetLightfv,		"glGetLightfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetLightiv,		"glGetLightiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetMapdv,			"glGetMapdv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetMapfv,			"glGetMapfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetMapiv,			"glGetMapiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetMaterialfv,	"glGetMaterialfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetMaterialiv,	"glGetMaterialiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetPixelMapfv,	"glGetPixelMapfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetPixelMapuiv,	"glGetPixelMapuiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetPixelMapusv,	"glGetPixelMapusv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetPointerv,		"glGetPointerv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetPolygonStipple,"glGetPolygonStipple" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetString,		"glGetString" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetTexEnvfv,		"glGetTexEnvfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetTexEnviv,		"glGetTexEnviv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetTexGendv,		"glGetTexGendv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetTexGenfv,		"glGetTexGenfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetTexGeniv,		"glGetTexGeniv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetTexImage,		"glGetTexImage" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetTexLevelParameterfv,	"glGetTexLevelParameterfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetTexLevelParameteriv,	"glGetTexLevelParameteriv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetTexParameterfv,		"glGetTexParameterfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glGetTexParameteriv,		"glGetTexParameteriv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glHint,				"glHint" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexMask,		"glIndexMask" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexPointer,		"glIndexPointer" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexd,			"glIndexd" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexdv,			"glIndexdv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexf,			"glIndexf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexfv,			"glIndexfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexi,			"glIndexi" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexiv,			"glIndexiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexs,			"glIndexs" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexsv,			"glIndexsv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexub,			"glIndexub" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIndexubv,			"glIndexubv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glInitNames,		"glInitNames" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glInterleavedArrays,"glInterleavedArrays" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIsEnabled,		"glIsEnabled" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIsList,			"glIsList" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glIsTexture,		"glIsTexture" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLightModelf,		"glLightModelf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLightModelfv,		"glLightModelfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLightModeli,		"glLightModeli" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLightModeliv,		"glLightModeliv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLightf,			"glLightf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLightfv,			"glLightfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLighti,			"glLighti" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLightiv,			"glLightiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLineStipple,		"glLineStipple" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLineWidth,		"glLineWidth" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glListBase,			"glListBase" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLoadIdentity,		"glLoadIdentity" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLoadMatrixd,		"glLoadMatrixd" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLoadMatrixf,		"glLoadMatrixf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLoadName,			"glLoadName" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glLogicOp,			"glLogicOp" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMap1d,			"glMap1d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMap1f,			"glMap1f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMap2d,			"glMap2d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMap2f,			"glMap2f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMapGrid1d,		"glMapGrid1d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMapGrid1f,		"glMapGrid1f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMapGrid2d,		"glMapGrid2d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMapGrid2f,		"glMapGrid2f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMaterialf,		"glMaterialf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMaterialfv,		"glMaterialfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMateriali,		"glMateriali" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMaterialiv,		"glMaterialiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMatrixMode,		"glMatrixMode" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMultMatrixd,		"glMultMatrixd" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glMultMatrixf,		"glMultMatrixf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNewList,			"glNewList" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormal3b,			"glNormal3b" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormal3bv,		"glNormal3bv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormal3d,			"glNormal3d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormal3dv,		"glNormal3dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormal3f,			"glNormal3f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormal3fv,		"glNormal3fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormal3i,			"glNormal3i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormal3iv,		"glNormal3iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormal3s,			"glNormal3s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormal3sv,		"glNormal3sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glNormalPointer,	"glNormalPointer" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glOrtho,			"glOrtho" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPassThrough,		"glPassThrough" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPixelMapfv,		"glPixelMapfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPixelMapuiv,		"glPixelMapuiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPixelMapusv,		"glPixelMapusv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPixelStoref,		"glPixelStoref" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPixelStorei,		"glPixelStorei" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPixelTransferf,	"glPixelTransferf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPixelTransferi,	"glPixelTransferi" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPixelZoom,			"glPixelZoom" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPointSize,			"glPointSize" ) ) err++;
	//if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPointParameterfEXT,	"glPointParameterfEXT" ) ) err++;
	//if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPointParameterfvEXT,	"glPointParameterfvEXT" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPolygonMode,			"glPolygonMode" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPolygonOffset,		"glPolygonOffset" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPolygonStipple,		"glPolygonStipple" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPopAttrib,			"glPopAttrib" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPopClientAttrib,		"glPopClientAttrib" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPopMatrix,			"glPopMatrix" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPopName,				"glPopName" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPrioritizeTextures,	"glPrioritizeTextures" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPushAttrib,			"glPushAttrib" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPushClientAttrib,		"glPushClientAttrib" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPushMatrix,			"glPushMatrix" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glPushName,				"glPushName" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos2d,			"glRasterPos2d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos2dv,			"glRasterPos2dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos2f,			"glRasterPos2f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos2fv,			"glRasterPos2fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos2i,			"glRasterPos2i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos2iv,			"glRasterPos2iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos2s,			"glRasterPos2s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos2sv,			"glRasterPos2sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos3d,			"glRasterPos3d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos3dv,			"glRasterPos3dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos3f,			"glRasterPos3f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos3fv,			"glRasterPos3fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos3i,			"glRasterPos3i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos3iv,			"glRasterPos3iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos3s,			"glRasterPos3s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos3sv,			"glRasterPos3sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos4d,			"glRasterPos4d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos4dv,			"glRasterPos4dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos4f,			"glRasterPos4f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos4fv,			"glRasterPos4fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos4i,			"glRasterPos4i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos4iv,			"glRasterPos4iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos4s,			"glRasterPos4s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRasterPos4sv,			"glRasterPos4sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glReadBuffer,			"glReadBuffer" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glReadPixels,			"glReadPixels" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRectd,				"glRectd" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRectdv,				"glRectdv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRectf,				"glRectf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRectfv,				"glRectfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRecti,				"glRecti" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRectiv,				"glRectiv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRects,				"glRects" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRectsv,				"glRectsv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRenderMode,			"glRenderMode" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRotated,				"glRotated" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glRotatef,				"glRotatef" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glScaled,				"glScaled" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glScalef,				"glScalef" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glScissor,				"glScissor" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glSelectBuffer,			"glSelectBuffer" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glShadeModel,			"glShadeModel" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glStencilFunc,			"glStencilFunc" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glStencilMask,			"glStencilMask" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glStencilOp,			"glStencilOp" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord1d,			"glTexCoord1d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord1dv,			"glTexCoord1dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord1f,			"glTexCoord1f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord1fv,			"glTexCoord1fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord1i,			"glTexCoord1i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord1iv,			"glTexCoord1iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord1s,			"glTexCoord1s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord1sv,			"glTexCoord1sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord2d,			"glTexCoord2d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord2dv,			"glTexCoord2dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord2f,			"glTexCoord2f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord2fv,			"glTexCoord2fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord2i,			"glTexCoord2i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord2iv,			"glTexCoord2iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord2s,			"glTexCoord2s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord2sv,			"glTexCoord2sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord3d,			"glTexCoord3d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord3dv,			"glTexCoord3dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord3f,			"glTexCoord3f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord3fv,			"glTexCoord3fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord3i,			"glTexCoord3i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord3iv,			"glTexCoord3iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord3s,			"glTexCoord3s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord3sv,			"glTexCoord3sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord4d,			"glTexCoord4d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord4dv,			"glTexCoord4dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord4f,			"glTexCoord4f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord4fv,			"glTexCoord4fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord4i,			"glTexCoord4i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord4iv,			"glTexCoord4iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord4s,			"glTexCoord4s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoord4sv,			"glTexCoord4sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexCoordPointer,		"glTexCoordPointer" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexEnvf,				"glTexEnvf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexEnvfv,				"glTexEnvfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexEnvi,				"glTexEnvi" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexEnviv,				"glTexEnviv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexGend,				"glTexGend" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexGendv,				"glTexGendv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexGenf,				"glTexGenf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexGenfv,				"glTexGenfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexGeni,				"glTexGeni" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexGeniv,				"glTexGeniv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexImage1D,			"glTexImage1D" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexImage2D,			"glTexImage2D" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexParameterf,		"glTexParameterf" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexParameterfv,		"glTexParameterfv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexParameteri,		"glTexParameteri" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexParameteriv,		"glTexParameteriv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexSubImage1D,		"glTexSubImage1D" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTexSubImage2D,		"glTexSubImage2D" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTranslated,			"glTranslated" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glTranslatef,			"glTranslatef" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex2d,				"glVertex2d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex2dv,			"glVertex2dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex2f,				"glVertex2f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex2fv,			"glVertex2fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex2i,				"glVertex2i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex2iv,			"glVertex2iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex2s,				"glVertex2s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex2sv,			"glVertex2sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex3d,				"glVertex3d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex3dv,			"glVertex3dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex3f,				"glVertex3f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex3fv,			"glVertex3fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex3i,				"glVertex3i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex3iv,			"glVertex3iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex3s,				"glVertex3s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex3sv,			"glVertex3sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex4d,				"glVertex4d" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex4dv,			"glVertex4dv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex4f,				"glVertex4f" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex4fv,			"glVertex4fv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex4i,				"glVertex4i" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex4iv,			"glVertex4iv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex4s,				"glVertex4s" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertex4sv,			"glVertex4sv" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glVertexPointer,		"glVertexPointer" ) ) err++;
	 if ( DLL_FUNCTION_NOT_FOUND == import ( (void **) &glViewport,				"glViewport" ) ) err++;

	return err;
}







